﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.UltraChart.Resources;
using System.Collections;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable chartData = new DataTable();
        chartData.Columns.Add("Week#", typeof(string));
        chartData.Columns.Add("ActiveX", typeof(int));
        chartData.Columns.Add("Java", typeof(int));
        chartData.Columns.Add(".Net", typeof(int));


        chartData.Rows.Add(new object[] { "Week 1", 25000, 85000, 65000 });
        chartData.Rows.Add(new object[] { "Week 2", 10000, 200000, 95000 });
        chartData.Rows.Add(new object[] { "Week 3", 100000, 45000, 100000 });
        chartData.Rows.Add(new object[] { "Week 4", 120000, 75000, 100000 });
        chartData.Rows.Add(new object[] { "Week 5", 60000, 113000, 50000 });

        UltraChart1.DataSource = chartData;

        UltraChart1.DataBind();
    }

    public class MyLabelRenderer : IRenderLabel
    {
        public string ToString(Hashtable context)
        {
            double dataValue = (double)context["DATA_VALUE"];

                return (dataValue / 1000).ToString();
                //return (dataValue / 1000).ToString() + " [Thousand]";
        }
    }
    protected void UltraChart1_Load(object sender, EventArgs e)
    {
        this.UltraChart1.Axis.Y.Labels.ItemFormatString = "<MY_VALUE>";
        Hashtable MyLabelHashTable = new Hashtable();
        MyLabelHashTable.Add("MY_VALUE", new MyLabelRenderer());
        this.UltraChart1.LabelHash = MyLabelHashTable;
    }
}